| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::LodIndexBuffer Struct Reference
Optional Components » MeshLodGenerator

Thread-safe buffer for storing Hardware index buffer. More...

`#include <OgreLodBuffer.h>`

## Public Member Functions
void | fillBuffer (Ogre::IndexData *data)
| if NULL, then the previous Lod level's buffer is used. (compression) More...

## Public Attributes
Ogre::SharedPtr< unsigned char > | indexBuffer
| size of the index buffer in bytes More...
size_t | indexBufferSize
| Offset from the start of the indexBuffer. More...
size_t | indexCount
| Index size: 2 or 4 byte/index is supported only. More...
size_t | indexSize
size_t | indexStart
| index count from indexStart. More...

## Detailed Description

Thread-safe buffer for storing Hardware index buffer.

## Member Function Documentation

## ◆ fillBuffer()

void Ogre::LodIndexBuffer::fillBuffer | ( | Ogre::IndexData * | data | ) |

if NULL, then the previous Lod level's buffer is used. (compression)

## Member Data Documentation

## ◆ indexSize

size_t Ogre::LodIndexBuffer::indexSize

## ◆ indexCount

size_t Ogre::LodIndexBuffer::indexCount

Index size: 2 or 4 byte/index is supported only.

## ◆ indexStart

size_t Ogre::LodIndexBuffer::indexStart

index count from indexStart.

## ◆ indexBufferSize

size_t Ogre::LodIndexBuffer::indexBufferSize

Offset from the start of the indexBuffer.

## ◆ indexBuffer

Ogre::SharedPtr<unsigned char> Ogre::LodIndexBuffer::indexBuffer

size of the index buffer in bytes

The documentation for this struct was generated from the following file:

- OgreLodBuffer.h